Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class TraceCallTreeNode

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex<AbstractCallTreeNode<T>,WeightedDirectedCallTreeEdge<T>,MessageTrace>
              kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeNode<AllocationComponentOperationPair>
                  kieker.tools.traceAnalysis.filter.visualization.callTree.TraceCallTreeNode

    public class TraceCallTreeNode

extends AbstractCallTreeNode<AllocationComponentOperationPair>

This class represents a single node within the trace call tree.

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`TraceCallTreeNode(int id, AllocationComponentOperationPair entity, boolean rootNode, MessageTrace origin, IOriginRetentionPolicy originPolicy)` Creates a new instance of this class using the given parameters.

Method Summary
`String` | `getIdentifier()` Returns an identifier for this graph element (e.g., a label).
`AbstractCallTreeNode<AllocationComponentOperationPair>` | `newCall(AllocationComponentOperationPair destination, MessageTrace origin, IOriginRetentionPolicy originPolicy)`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeNode
`getChildEdges, getEntity, getId, getOutgoingEdges, isRootNode`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex
`addDecoration, getDecoration, getDecorations`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceCallTreeNode

    public TraceCallTreeNode(int id,
                             AllocationComponentOperationPair entity,
                             boolean rootNode,
                             MessageTrace origin,
                             IOriginRetentionPolicy originPolicy)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The identifier of this node.
    `entity` - The content of this node.
    `rootNode` - Determines whether this node is the root node or not.
    `origin` - The meta data of this node.
    `originPolicy` - The origin policy.

Method Detail

### newCall

    public AbstractCallTreeNode<AllocationComponentOperationPair> newCall(AllocationComponentOperationPair destination,
                                                                          MessageTrace origin,
                                                                          IOriginRetentionPolicy originPolicy)

  Specified by:
    `newCall` in class `AbstractCallTreeNode<AllocationComponentOperationPair>`

### getIdentifier

    public String getIdentifier()

  Description copied from class: `AbstractGraphElement`
  Returns an identifier for this graph element (e.g., a label).

  Specified by:
    `getIdentifier` in class `AbstractGraphElement<MessageTrace>`
  Returns:
    An identifier or `null` if no identifier can be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net